Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 08-23-09, 01:24 AM   #1
mitchd
Registered User
 
Join Date: Aug 2009
Posts: 1
Default undefined reference to `__unixTLSWWMPDlsym(void*, char const*)'

Just upgraded to 190.25 from 180.60 and mythtv now fails to build due to a missing symbol in /usr/lib/libnvidia-tls.so.1

Here is the builf fail last bit:

home:~$ cat fail
g++ -Wl,-O1 -Wl,-rpath,/usr/lib -o mythtv version.o main.o -L/usr/lib -L../../libs/libmyth -L../../libs/libmythtv -L../../libs/libavutil -L../../libs/libavcodec -L../../libs/libavformat -L../../libs/libswscale -L../../libs/libmythdb -L../../libs/libmythui -L../../libs/libmythupnp -lmythtv-0.22 -lmythavformat-0.22 -lmythavutil-0.22 -lmythavcodec-0.22 -lmythswscale-0.22 -lmythupnp-0.22 -lmyth-0.22 -lmythui-0.22 -lmythdb-0.22 -L../../libs/libmythlivemedia -lmythlivemedia-0.22 -L../../libs/libmythfreemheg -lmythfreemheg-0.22 -L/usr/lib -ldirectfb -lfusion -ldirect -L/usr/X11/lib -lXinerama -lXxf86vm -lXv -lXrandr -lXvMCNVIDIA -lXvMC -L/usr/local/lib -lQtSql -L/usr/lib/mysql -pthread -pthread -lQtXml -pthread -pthread -lQtOpenGL -lGLU -lGL -pthread -pthread -pthread -pthread -pthread -pthread -pthread -pthread -lQtGui -pthread -lpng -lfreetype -lgobject-2.0 -lSM -lICE -pthread -pthread -lXrender -lfontconfig -lXext -lX11 -lQtNetwork -pthread -pthread -lQtCore -lz -lm -pthread -lgthread-2.0 -lrt -lglib-2.0 -lpthread -ldl
/usr/lib/libnvidia-tls.so.1: undefined reference to `__unixTLSWWMPDlsym(void*, char const*)'
collect2: ld returned 1 exit status


Going back to 180.60 and all builds fine again. Have we dropped a symbol somewhere ?
mitchd is offline   Reply With Quote
Old 08-23-09, 03:17 PM   #2
Milos_SD
Registered User
 
Join Date: Jan 2009
Posts: 19
Default Re: undefined reference to `__unixTLSWWMPDlsym(void*, char const*)'

I get the same error when trying to compile compiz (it fails on compiz core).
http://pastebin.com/m5ac4f9f1
Milos_SD is offline   Reply With Quote
Old 08-23-09, 06:46 PM   #3
zbiggy
Registered User
 
Join Date: Sep 2002
Posts: 623
Default [190.25] libnvidia-tls.so.1 undefined reference to __unixTLSWWMPDlsym

Hello,

I can not successfully compile kdebase4-runtime 4.3.0 with 190.25 driver because of error:
Code:
/usr/X11R6/lib/libnvidia-tls.so.1: undefined reference to `__unixTLSWWMPDlsym(void*, char const*)'
Build log end:
Code:
Scanning dependencies of target plasmapkg
[ 87%] Building CXX object plasma/tools/plasmapkg/CMakeFiles/plasmapkg.dir/plasmapkg_automoc.o
[ 87%] Building CXX object plasma/tools/plasmapkg/CMakeFiles/plasmapkg.dir/main.o
Linking CXX executable plasmapkg
/usr/X11R6/lib/libnvidia-tls.so.1: undefined reference to `__unixTLSWWMPDlsym(void*, char const*)'
collect2: ld returned 1 exit status
make[2]: *** [plasma/tools/plasmapkg/plasmapkg] Error 1
make[1]: *** [plasma/tools/plasmapkg/CMakeFiles/plasmapkg.dir/all] Error 2
make: *** [all] Error 2
Nvidia developers, can you please fix undefined reference to `__unixTLSWWMPDlsym(void*, char const*)' and post fixed file?

Before, on 2009-06-30 I successfully compiled kdebase4-runtime 4.2.2 with earlier Nvidia driver released at that time and it was OK.

thank you,
Zbigniew
zbiggy is offline   Reply With Quote
Old 08-23-09, 08:50 PM   #4
AaronP
NVIDIA Corporation
 
AaronP's Avatar
 
Join Date: Mar 2005
Posts: 2,487
Default Re: undefined reference to `__unixTLSWWMPDlsym(void*, char const*)'

Thank you for reporting this problem. I've filed a bug.
AaronP is offline   Reply With Quote
Old 08-24-09, 01:42 PM   #5
zbiggy
Registered User
 
Join Date: Sep 2002
Posts: 623
Default Re: undefined reference to `__unixTLSWWMPDlsym(void*, char const*)'

Quote:
Originally Posted by AaronP View Post
Thank you for reporting this problem. I've filed a bug.
Thank you Aaron for filling bug. I hope we will receive bugfixed library soon. Now I have to bring bad news to my distro that beta driver will be downgraded to 190.18. Please add to bugzilla info that 190.18 is OK so developer who will try to find/reproduce/fix bug will know to look at changes between 190.18 and 190.25 because the bug appeared since 190.25.
I have just downgraded to 190.18 and kdebase4-runtime 4.3.0 compilation finished successfully.
zbiggy is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 03:26 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.